--- old/usr/src/uts/common/io/bscbus.c	Wed May  1 07:06:41 2019
+++ new/usr/src/uts/common/io/bscbus.c	Wed May  1 07:06:41 2019
@@ -22,6 +22,8 @@
  * Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
  * Use is subject to license terms.
  *
+ * Copyright 2019 Joyent, Inc.
+ *
  * The "bscbus" driver provides access to the LOMlite2 virtual registers,
  * so that its clients (children) need not be concerned with the details
  * of the access mechanism, which in this case is implemented via a
@@ -404,7 +406,7 @@
 	}
 }
 #else /* DEBUG */
-#define	bscbus_trace
+#define	bscbus_trace(...) (void)(0)
 #endif /* DEBUG */
 
 static struct bscbus_state *
--- old/usr/src/uts/common/io/bscv.c	Wed May  1 07:06:42 2019
+++ new/usr/src/uts/common/io/bscv.c	Wed May  1 07:06:42 2019
@@ -23,6 +23,9 @@
  * Use is subject to license terms.
  */
 
+/*
+ * Copyright 2019 Joyent, Inc.
+ */
 
 /*
  * bscv.c - multi-threaded lom driver for the Stiletto platform.
@@ -404,7 +407,7 @@
 
 #define	BSCV_TRACE   if (bscv_trace_flag != 0)	bscv_trace
 #else
-#define	BSCV_TRACE
+#define	BSCV_TRACE(...) (void)(0)
 #endif
 
 /*
--- old/usr/src/uts/common/io/mwl/mwl.c	Wed May  1 07:06:42 2019
+++ new/usr/src/uts/common/io/mwl/mwl.c	Wed May  1 07:06:42 2019
@@ -34,6 +34,10 @@
  */
 
 /*
+ * Copyright 2019 Joyent, Inc.
+ */
+
+/*
  * Driver for the Marvell 88W8363 Wireless LAN controller.
  */
 #include <sys/stat.h>
@@ -128,7 +132,7 @@
 #define	MWL_DBG	\
 	mwl_debug
 #else
-#define	MWL_DBG
+#define	MWL_DBG(...) (void)(0)
 #endif
 
 /*
--- old/usr/src/uts/common/io/rtw/rtwvar.h	Wed May  1 07:06:43 2019
+++ new/usr/src/uts/common/io/rtw/rtwvar.h	Wed May  1 07:06:43 2019
@@ -1,6 +1,8 @@
 /*
  * Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
  * Use is subject to license terms.
+ *
+ * Copyright 2019 Joyent, Inc.
  */
 /*
  * Copyright (c) 2004, 2005 David Young.  All rights reserved.
@@ -78,7 +80,7 @@
 #define	RTW_DPRINTF \
 	rtw_dbg
 #else /* DEBUG */
-#define	RTW_DPRINTF
+#define	RTW_DPRINTF(...) (void)(0)
 #endif /* DEBUG */
 
 enum rtw_locale {
--- old/usr/src/uts/common/io/rwd/rt2661.c	Wed May  1 07:06:43 2019
+++ new/usr/src/uts/common/io/rwd/rt2661.c	Wed May  1 07:06:43 2019
@@ -25,6 +25,10 @@
  * http://www.ralinktech.com/
  */
 
+/*
+ * Copyright 2019 Joyent, Inc.
+ */
+
 #include <sys/types.h>
 #include <sys/byteorder.h>
 #include <sys/conf.h>
@@ -77,7 +81,7 @@
 #define	RWD_DEBUG \
 	rt2661_debug
 #else
-#define	RWD_DEBUG
+#define	RWD_DEBUG(...) (void)(0)
 #endif
 
 static void *rt2661_soft_state_p = NULL;
--- old/usr/src/uts/common/io/rwn/rt2860.c	Wed May  1 07:06:44 2019
+++ new/usr/src/uts/common/io/rwn/rt2860.c	Wed May  1 07:06:44 2019
@@ -2,7 +2,7 @@
  * Copyright 2017 Gary Mills
  * Copyright 2010 Sun Microsystems, Inc.  All rights reserved.
  * Use is subject to license terms.
- * Copyright (c) 2018, Joyent, Inc.
+ * Copyright 2019 Joyent, Inc.
  */
 
 /*
@@ -73,7 +73,7 @@
 #define	RWN_DEBUG \
 	rt2860_debug
 #else
-#define	RWN_DEBUG
+#define	RWN_DEBUG(...) (void)(0)
 #endif
 
 static void *rt2860_soft_state_p = NULL;
--- old/usr/src/uts/common/io/uath/uath.c	Wed May  1 07:06:44 2019
+++ new/usr/src/uts/common/io/uath/uath.c	Wed May  1 07:06:44 2019
@@ -4,6 +4,10 @@
  */
 
 /*
+ * Copyright 2019 Joyent, Inc.
+ */
+
+/*
  * Copyright (c) 2006 Sam Leffler, Errno Consulting
  * Copyright (c) 2008-2009 Weongyo Jeong <weongyo@freebsd.org>
  * All rights reserved.
@@ -94,7 +98,7 @@
 #define	UATH_DEBUG \
 	uath_debug
 #else
-#define	UATH_DEBUG
+#define	UATH_DEBUG(...) (void)(0)
 #endif
 
 /*
--- old/usr/src/uts/common/sys/fibre-channel/impl/fp.h	Wed May  1 07:06:45 2019
+++ new/usr/src/uts/common/sys/fibre-channel/impl/fp.h	Wed May  1 07:06:45 2019
@@ -23,6 +23,10 @@
  * Use is subject to license terms.
  */
 
+/*
+ * Copyright 2019 Joyent, Inc.
+ */
+
 #ifndef	_FP_H
 #define	_FP_H
 
@@ -126,7 +130,7 @@
 
 #else
 
-#define	FP_DTRACE
+#define	FP_DTRACE(...)		(void)(0)
 
 #endif
 
--- old/usr/src/uts/common/sys/scsi/targets/sddef.h	Wed May  1 07:06:45 2019
+++ new/usr/src/uts/common/sys/scsi/targets/sddef.h	Wed May  1 07:06:45 2019
@@ -24,6 +24,7 @@
 /*
  * Copyright 2011 cyril.galibern@opensvc.com
  * Copyright 2017 Nexenta Systems, Inc.  All rights reserved.
+ * Copyright 2019 Joyent, Inc.
  */
 
 #ifndef	_SYS_SCSI_TARGETS_SDDEF_H
@@ -1164,10 +1165,10 @@
 #else
 
 #undef	SDDEBUG
-#define	SD_ERROR	{ if (0) sd_log_err; }
-#define	SD_TRACE	{ if (0) sd_log_trace; }
-#define	SD_INFO		{ if (0) sd_log_info; }
-#define	SD_DUMP_MEMORY	{ if (0) sd_dump_memory; }
+#define	SD_ERROR(...)		(void)(0)
+#define	SD_TRACE(...)		(void)(0)
+#define	SD_INFO(...)		(void)(0)
+#define	SD_DUMP_MEMORY(...)	(void)(0)
 #endif
 
 
